LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
EnhancedCustomShapeParameterType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::drawing
| Drawing and shape specific interfaces.

## Constant Groups
constants | com::sun::star::drawing::EnhancedCustomShapeParameterType
| defines how an EnhancedCustomShapeParameter has to be interpreted

## Variables
const short | NORMAL = 0
| the value of the point component is normal, the Coordinate is taken as it is More...
const short | EQUATION = 1
| the value of the point component has to be interpreted as index to an Equation More...
const short | ADJUSTMENT = 2
| the value of the point component has to be interpreted as index into the list of AdjustmentValues More...
const short | LEFT = 3
| the logical left border of the CustomShape is used More...
const short | TOP = 4
| the logical top border of the CustomShape is used More...
const short | RIGHT = 5
| the logical right border of the CustomShape is used More...
const short | BOTTOM = 6
| the logical bottom border of the CustomShape is used More...
const short | XSTRETCH = 7
| the x value of the stretch point is used More...
const short | YSTRETCH = 8
| the y value of the stretch point is used More...
const short | HASSTROKE = 9
| If the shape has a line style, a value of 1 is used. More...
const short | HASFILL = 10
| If the shape has a fill style, a value of 1 is used. More...
const short | WIDTH = 11
| The width of the svg:viewBox is used. More...
const short | HEIGHT = 12
| The height of the svg:viewBox is used. More...
const short | LOGWIDTH = 13
| The logical width of the shape is used. More...
const short | LOGHEIGHT = 14
| The logical height of the shape is used. More...